curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/contracts/SF-CONTRACT-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/contracts/SF-CONTRACT-12345"
payload = {
"metadata": {
"source": "SALESFORCE"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/contracts/SF-CONTRACT-12345',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
}
})
}
);
console.log(response.status);
{
"message": "Contract deleted successfully",
"external_id": "SF-CONTRACT-12345",
"cor_id": 30001
}
{
"error": "ContractNotFoundError",
"message": "Contract with external ID 'SF-CONTRACT-12345' not found",
"code": "ZC004"
}
Contracts
Delete Contract
Deletes a contract from your COR instance using its external ID
DELETE
/
v2
/
integrations
/
contracts
/
{id}
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/contracts/SF-CONTRACT-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/contracts/SF-CONTRACT-12345"
payload = {
"metadata": {
"source": "SALESFORCE"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/contracts/SF-CONTRACT-12345',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
}
})
}
);
console.log(response.status);
{
"message": "Contract deleted successfully",
"external_id": "SF-CONTRACT-12345",
"cor_id": 30001
}
{
"error": "ContractNotFoundError",
"message": "Contract with external ID 'SF-CONTRACT-12345' not found",
"code": "ZC004"
}
Deletes a contract from your COR instance using its external ID. Also removes related entity associations if a
corId is provided.
Path Parameters
string
required
External contract ID that was used when creating the contract
Request Body Requirements
number
COR internal ID to remove associations (optional)
Known Errors
ContractNotFoundError— No contract found with the specified external IDValidationError— Missing requiredmetadata.sourcefieldDeletionError— Contract cannot be deleted due to active user associations
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/contracts/SF-CONTRACT-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/contracts/SF-CONTRACT-12345"
payload = {
"metadata": {
"source": "SALESFORCE"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/contracts/SF-CONTRACT-12345',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
}
})
}
);
console.log(response.status);
{
"message": "Contract deleted successfully",
"external_id": "SF-CONTRACT-12345",
"cor_id": 30001
}
{
"error": "ContractNotFoundError",
"message": "Contract with external ID 'SF-CONTRACT-12345' not found",
"code": "ZC004"
}
Was this page helpful?
⌘I

